> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/functional-specification/pos_predip_welcome_screen.md).

# pos\_predip\_welcome\_screen

{% columns %}
{% column width="33%" %}
![](https://414590445-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5yCod23DpRJz8E6kZwmN%2Fuploads%2Fgit-blob-683a0a74a320ea9c8fa4f67132e78dd8530c3c86%2Fpredip_welcome.png?alt=media)
{% endcolumn %}

{% column %}
Configuration Parameters:

\\

Quick chip is available only if all three are enabled. If not, the nonsensitive card data will be returned to the POS, but the customer will have to leave an inserted card in the terminal until the payment is started and completed or the card acquisition session is cancelled.

\`\`\`Terminal.QuickChipByDefault\`\`\` - Indicates whether or not to perform a transaction as quick chip

\`\`\`Acquirer.QuickChipEnabled\`\`\` - Indicates that quick chip is supported by this host

\`\`\`Schemes.QuickChipEnabled\`\`\` - Indicates that quick chip is supported by this scheme

\*\*Description\*\*

POS can display its own screen that prompts the customer to present card when it calls the Payment SDK API TransactionManager.requestCardData() or TransactionManager.enableReader(). This screen should satisfy any EMV requirements for the card presentation screen. If the POS does not want the payment app to show the card presentation screen, set the silentUi parameter in the api. When the card is presented by the customer, the POS will get a callback that the card is presented so it can show any visual changes to let the customer know that the card has been recognized. The card reader will timeout in 30 seconds.

\
\*\*Merchant/Customer action\*\*

Customer presents the card
{% endcolumn %}
{% endcolumns %}

\---


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verifone.com/functional-specification/pos_predip_welcome_screen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
